# (c) Dominik Schmidt
# spec file for package clucene-git (Version 0.2)

%define soname 1

Name:           clucene-git
BuildRequires:  cmake gcc-c++ pkgconfig zlib-devel

License:        LGPLv2 or ASLv2
Version:        20110526
Release:        4.7
Source0:        clucene-%{version}-stripped.tar.bz2

# Patch the pkgconfig file to pull -llucene-unstable-core and
# use /usr/include/clucene-unstable as the includedir.
Patch1:         clucene-unstable.patch

# Break the -fvisibility=hidden detection in order to prevent it
# from being used, as this causes linker issues in dependent
# packages.
Patch2:         clucene-unstable-break_visibility_hidden.patch

BuildRoot:      %{_tmppath}/clucene-%{version}-build
Url:            http://clucene.sf.net

# main package
Summary:        Open Source C++ Search Engine
Group:          System/Libraries

%description
CLucene is a high-performance, scalable, cross platform, full-featured,
open-source indexing and searching API.

# bin package
%package -n libclucene-unstable%{soname}
Group:          System/Libraries
Summary:        Open Source C++ Search Engine

%description  -n libclucene-unstable%{soname}
CLucene is a high-performance, scalable, cross platform, full-featured,
open-source indexing and searching API.

# devel package
%package -n libclucene-unstable-devel
Group:          Development/Libraries/C and C++
Summary:        Open Source C++ Search Engine
Requires:       libclucene-unstable%{soname} = %{version}

%description -n libclucene-unstable-devel
CLucene is a high-performance, scalable, cross platform, full-featured,
open-source indexing and searching API.

# devel-static package
%package -n libclucene-unstable-devel-static
Group:          Development/Libraries/C and C++
Summary:        Open Source C++ Search Engine
Requires:       libclucene-unstable-devel = %{version}

%description -n libclucene-unstable-devel-static
CLucene is a high-performance, scalable, cross platform, full-featured,
open-source indexing and searching API.

%prep
%setup -q -n clucene
%patch1
%patch2

%build
export CXXFLAGS="%{optflags}"
export CFLAGS="%{optflags}"
EXTRA_FLAGS=""
if [ %_lib = lib64 ]; then
  EXTRA_FLAGS="$EXTRA_FLAGS -DLIB_SUFFIX=64"
fi

cmake . \
    -DCMAKE_CXXFLAGS="%{optflags}" \
    -DCMAKE_CFLAGS="%{optflags}" \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DBUILD_STATIC_LIBRARIES=TRUE \
    $EXTRA_FLAGS

make %{?_smp_mflags} VERBOSE=1

%install
make DESTDIR="%{buildroot}" install

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post   -n libclucene-unstable%{soname} -p /sbin/ldconfig

%postun -n libclucene-unstable%{soname} -p /sbin/ldconfig

%files -n libclucene-unstable%{soname}
%defattr(-,root,root,-)
%doc APACHE.license LGPL.license AUTHORS COPYING ChangeLog
%doc README
%{_libdir}/libclucene-unstable-shared.so.2.3.3.4
%{_libdir}/libclucene-unstable-shared.so.1
%{_libdir}/libclucene-unstable-core.so.2.3.3.4
%{_libdir}/libclucene-unstable-core.so.1

%files -n libclucene-unstable-devel
%defattr(-,root,root,-)
%{_includedir}/clucene-unstable
%{_libdir}/libclucene-unstable-shared.so
%{_libdir}/libclucene-unstable-core.so
%{_libdir}/CLuceneUnstableConfig.cmake
%{_libdir}/CLuceneUnstableConfig.cmake/CLuceneUnstableConfig.cmake
%{_libdir}/pkgconfig/libclucene-unstable-core.pc

%files -n libclucene-unstable-devel-static
%defattr(-,root,root,-)
%{_libdir}/libclucene-unstable-core-static.a
%{_libdir}/libclucene-unstable-shared-static.a

%changelog
* Sun Oct 30 2011 pascal.bleser@opensuse.org
- strip out Reuters test data, may not be shipped
* Sun Oct 30 2011 pascal.bleser@opensuse.org
- remove -fvisibility=hidden from compile flags, as it causes issues with
  dependent packages
* Wed Oct 26 2011 pascal.bleser@opensuse.org
- add documentation files
- fix license: it's not GPL but LGPL or ASL
* Tue Oct 25 2011 pascal.bleser@opensuse.org
- added patch to rename to clucene-unstable:
  * pkgconfig file is libclucene-unstable-core.pc
  * cmake config is CLuceneUnstableConfig.cmake
  * shlib names are libclucene-unstable-{core|shared}.so.1
  * headers are under /usr/include/clucene-unstable
- packages renamed to
  * libclucene-unstable1
  * libclucene-unstable-devel
- added libclucene-unstable-devel-static package
* Tue Oct 25 2011 pascal.bleser@opensuse.org
- initial version (1306409728)
